import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

import de.itdesign.meisterplan.shared.model.RepositoryModelData;

public class EntryPoint {
    public static void main(String[] args) {
        final String connectionString = "odbtest.odb"; //$NON-NLS-1$

        while (true) {
            EntityManagerFactory factory = Persistence.createEntityManagerFactory(connectionString);
            EntityManager connection = factory.createEntityManager();
            try {
                RepositoryModelData repository = connection.find(RepositoryModelData.class, 1);

                repository.getObsTypes().iterator().next();

                connection.getTransaction().begin();
                connection.getTransaction().commit();
            } catch (Exception e) {
                e.printStackTrace();
                break;
            } finally {
                connection.close();
                factory.close();
            }
        }
    }
}
